Bug 68155 - in seeking iso images, caught resource busy
in seeking iso images, caught resource busy
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-07 02:28 EDT by pine_kz
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-25 01:37:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description pine_kz 2002-07-07 02:28:38 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux) 
Description of problem: 
set iso images on 40GB ext3 partition, begin installation from HDD, and handed the message down on me 
that "Failed to read directory /mnt/source: No such...".  
Version-Release number of selected component (if applicable): July 1st 
How reproducible: 
Steps to Reproduce: 
1.everytime same as above expanded summary. 
2.after the massage, installer goes ahead, but aborts in Grub setting by resource busy 
Additional info: 
Traceback (most recent call last): 
  File "/usr/bin/anaconda", line 682, in ? 
    intf.run(id, dispatch, configFileData) 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/text.py", line 441, in run 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/dispatch.py", line 149, in gotoNext 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/dispatch.py", line 214, in moveStep 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/packages.py", line 114, in readPackages 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/harddrive.py", line 176, in readHeaders 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/harddrive.py", line 114, in mountMedia 
  File "/usr/src/build/121825-i386/install//usr/lib/anaconda/harddrive.py", line 152, in 
  File "/usr/lib/anaconda/isys.py", line 153, in mount 
    rc = _isys.mount(fstype, device, location, readOnly) 
SystemError: (16, 'Device or resource busy') 
Local variables in innermost frame: 
device: /tmp/hda5 
readOnly: 1 
devName: /tmp/hda5 
location: /tmp/isodir 
fstype: ext2 
Dispatcher instance, containing members: 
method: HardDriveInstallMethod instance, containing members: 
  messageWindow: <bound method InstallInterface.messageWindow of <text.InstallInterface instance at 
  discImages: {1: limbo-i386-disc1.iso, 2: limbo-i386-disc2.iso, 3: limbo-i386-disc3.iso, 4: 
limbo-i386-disc3.iso, 5: limbo-i386-disc4.iso} 
  fnames: {} 
  isoDir: /tmp/isodir/ 
  tree: None 
  rootPath: /mnt/sysimage 
  fstype: ext2 
  device: hda5 
  mediaIsMounted: 0 
  isoDirIsMounted: 0 
step: 34 
intf: InstallInterface instance, containing members: 
  instLanguage: InstallTimeLanguage instance, containing members: 
    current: en_US 
    map: {'Swedish': iso15, 'Danish': iso15, 'Icelandic': iso15, 'Chinese(Simplified)': None, 
'Norwegian': iso15, 'German': iso09, 'Romanian': iso02, 'Spanish': iso15, 'Slovenian': iso02, 
'Japanese': None, 'French': iso15, 'Czech': iso02, 'Portuguese': iso15, 'Ukrainian': koi8-u, 
'English': iso01, 'Russian': koi8-r, 'Korean': None, 'Chinese(Traditional)': None, 'Italian': iso15} 
    nativeLangNames: {} 
    langList: [Chinese(Simplified), Chinese(Traditional), Czech, Danish, English, French, German, 
Icelandic, Italian, Japanese, Korean, Norwegian, Portuguese, Romanian, Russian, Slovenian, Spanish, 
Swedish, Ukrainian] 
    langNicks: {'Swedish': sv_SE, 'Danish': da_DK, 'Icelandic': is_IS, 'Chinese(Simplified)': 
zh_CN.GB18030, 'Norwegian': no_NO, 'German': de_DE, 'Romanian': ro_RO, 'Spanish': es_ES, 'Slovenian': 
sl_SI, 'Japanese': ja_JP.eucJP, 'French': fr_FR, 'Czech': cs_CZ, 'Portuguese': pt_PT@euro, 
'Ukrainian': uk_UA, 'English': en_US, 'Russian': ru_RU.koi8r, 'Korean': ko_KR.eucKR, 
'Chinese(Traditional)': zh_TW.Big5, 'Italian': it_IT} 
    font: {'Swedish': lat0-sun16, 'Danish': lat0-sun16, 'Icelandic': lat0-sun16, 
'Chinese(Simplified)': None, 'Norwegian': lat0-sun16, 'German': lat0-16, 'Romanian': lat2-sun16, 
'Spanish': lat0-sun16, 'Slovenian': lat2-sun16, 'Japanese': Kon, 'French': lat0-sun16, 'Czech': 
lat2-sun16, 'Portuguese': lat0-sun16, 'Ukrainian': cyr-sun16, 'English': default8x16, 'Russian': 
cyr-sun16, 'Korean': None, 'Chinese(Traditional)': None, 'Italian': lat0-sun16} 
    kbd: {'Swedish': se-latin1, 'Danish': us, 'Icelandic': is-latin1, 'Chinese(Simplified)': us, 
'Norwegian': no-latin1, 'German': de-latin1-nodeadkeys, 'Romanian': ro, 'Spanish': es, 'Slovenian': 
slovene, 'Japanese': jp106, 'French': fr-latin1, 'Czech': cz-lat2, 'Portuguese': pt-latin1, 
'Ukrainian': ua, 'English': us, 'Russian': ru, 'Korean': us, 'Chinese(Traditional)': us, 'Italian': 
    tz: {'Swedish': Europe/Stockholm, 'Danish': Europe/Copenhagen, 'Icelandic': Atlantic/Reykjavik, 
'Chinese(Simplified)': Asia/Shanghai, 'Norwegian': Europe/Oslo, 'German': Europe/Berlin, 'Romanian': 
Europe/Bucharest, 'Spanish': Europe/Madrid, 'Slovenian': Europe/Ljubljana, 'Japanese': Asia/Tokyo, 
'French': Europe/Paris, 'Czech': Europe/Prague, 'Portuguese': Europe/Lisbon, 'Ukrainian': 
Europe/Kiev, 'English': America/New_York, 'Russian': Europe/Moscow, 'Korean': Asia/Seoul, 
'Chinese(Traditional)': Asia/Taipei, 'Italian': Europe/Rome} 
  langSearchPath: [en_US, en, C] 
  showingHelpOnHelp: 0 
  welcomeText: Red Hat Linux (C) 2002 Red Hat, Inc. 
  screen: SnackScreen instance, containing members: 
    width: 80 
    helpCb: <bound method InstallInterface.helpWindow of <text.InstallInterface instance at 
    height: 25 
  configFileData: {'TitleBar': pixmaps/anaconda_header.png, 'Title': Red Hat Linux Beta, 
'Splashscreen': pixmaps/first.png, 'WelcomeScreen': pixmaps/splash.png} 
flags: Flags instance, containing members: 
  flags: {'test': 0, 'setupFilesystems': 1, 'serial': 0, 'expert': 0, 'autostep': 0} 
dispatch: Already dumped 
instPath: /mnt/sysimage 
firstStep: 0 
id: InstallData instance, containing members: 
  hdList: None 
  dbpath: None 
  firewall: Firewall instance, containing members: 
    ftp: 0 
    http: 0 
    enabled: -1 
    telnet: 0 
    custom: 1 
    ssh: 0 
    policy: 1 
    dhcp: 0 
    smtp: 0 
    trustdevs: [] 
    ports: [] 
  upgradeSwapInfo: ([('/', 'hda6', 1079), ('/boot', 'hda2', 36), ('/home', 'hda7', 599), ('/xx_data', 
'hda5', 40754), ('/xxlinux', 'hdd1', 900)], 565, '/xxlinux') 
  firstboot: 0 
  auth: Authentication instance, containing members: 
    useKrb5: 0 
    nisuseBroadcast: 1 
    useShadow: 1 
    useMD5: 1 
    useSamba: 0 
    enableCache: 0 
    useLdapauth: 0 
    useHesiod: 0 
    useLdap: 0 
    useNIS: 0 
  upgradeRoot: [('hda6', 'ext3')] 
  comps: None 
  dependencies: [] 
  accounts: None 
  fsset: FileSystemSet instance, containing members: 
    messageWindow: <bound method InstallInterface.messageWindow of <text.InstallInterface instance at 
    waitWindow: <bound method InstallInterface.waitWindow of <text.InstallInterface instance at 
    mountcount: 10 
    entries: [fsentry -- device: hda6   mountpoint: / 
           fsystem: ext3 format: 0 
, fsentry -- device: hda2   mountpoint: /boot 
           fsystem: ext3 format: 0 
, fsentry -- device: none   mountpoint: /dev/pts 
           fsystem: devpts format: 0 
, fsentry -- device: none   mountpoint: /dev/shm 
           fsystem: tmpfs format: 0 
, fsentry -- device: hda7   mountpoint: /home 
           fsystem: ext3 format: 0 
, fsentry -- device: none   mountpoint: /proc 
           fsystem: proc format: 0 
, fsentry -- device: hda1   mountpoint: /win 
           fsystem: vfat format: 0 
, fsentry -- device: hda5   mountpoint: /xx_data 
           fsystem: ext3 format: 0 
, fsentry -- device: hdd1   mountpoint: /xxlinux 
           fsystem: ext3 format: 0 
, fsentry -- device: hdd2   mountpoint: /xxwin 
           fsystem: vfat format: 0 
, fsentry -- device: hda3   mountpoint: swap 
           fsystem: swap format: 0 
Comment 1 Jeremy Katz 2002-07-25 01:37:22 EDT
Fixed in CVS
Comment 2 Ben Levenson 2002-09-05 23:26:09 EDT
iso hd installs performed successfully for the following two cases:
1- isos in the root directory of the partition
2- isos nested a couple of directories deep

reopen if additional verification is needed.
closing -> RAWHIDE
Comment 3 Ben Levenson 2002-09-05 23:26:44 EDT
adding myself to Cc:
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.